package dev.inmo.postssystem.client

import dev.inmo.postssystem.client.ui.fsm.UIFSMQualifier
import dev.inmo.postssystem.client.ui.fsm.UIFSMState
import dev.inmo.micro_utils.fsm.common.StatesMachine
import kotlinx.browser.window

fun main() {
    window.addEventListener("load", {
        val koin = baseKoin()
        val uiStatesMachine = koin.get<StatesMachine<UIFSMState>>(UIFSMQualifier)
        uiStatesMachine.start(koin.get())
    })
}
